# $Revision: 1.34 $, $Date: 2010/04/07 13:47:39 $
#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
#
%include	/usr/lib/rpm/macros.perl
Summary:	FuzzyOcr SpamAssassin plugin
Summary(pl.UTF-8):	Wtyczka FuzzyOcr dla SpamAssassina
Name:		spamassassin-plugin-fuzzyocr
Version:	3.6.0
Release:	3
License:	Apache v2.0
Group:		Applications/Mail
# svn export https://svn.own-hero.net/fuzzyocr/trunk/devel fuzzyocr
#Source0:	fuzzyocr-20090519.tar.bz2
Source0:	http://users.own-hero.net/~decoder/fuzzyocr/fuzzyocr-%{version}.tar.gz
# Source0-md5:	d434a339fb0bb5cc9120772325908df5
Patch0:		%{name}-debian.patch
Patch1:		%{name}-untaint.patch
URL:		http://fuzzyocr.own-hero.net/
BuildRequires:	sed >= 4.0
%if %{with autodeps}
BuildRequires:	perl-DBI
BuildRequires:	perl-Digest-MD5
BuildRequires:	perl-MLDBM
BuildRequires:	perl-MLDBM-Sync
BuildRequires:	perl-Mail-SpamAssassin >= 3.2.3
BuildRequires:	perl-String-Approx
BuildRequires:	perl-Time-HiRes
%endif
Requires:	ImageMagick
Requires:	giflib-progs >= 4.1.4-4
Requires:	gifsicle
Requires:	gocr >= 0.43
Requires:	netpbm-progs >= 10.34-4
Requires:	netpbm-progs-pstopnm >= 10.34-4
Requires:	ocrad >= 0.14
Requires:	perl-DBD-mysql
Requires:	perl-Digest-MD5
Requires:	perl-IO-Compress
Requires:	perl-MLDBM-Sync
Requires:	perl-Mail-SpamAssassin >= 3.2.3
Requires:	perl-String-Approx
Requires:	perl-Tie-Cache
Requires:	perl-Time-HiRes
# It's optional:
Suggests:	tesseract
Suggests:	tesseract-lang-en
# For pdf-processing:
Suggests:	poppler-progs >= 0.5.4
# Required anyway, but maybe it should be suggests only?
#Suggests:	netpbm-progs
# Has problems with some pdfs:
Conflicts:	xpdf-tools
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/mail/spamassassin

%description
FuzzyOcr is a plugin for SpamAssassin which is aimed at unsolicited
bulk mail (also known as "Spam") containing images as the main content
carrier. Using different methods, it analyzes the content and
properties of images to distinguish between normal mails (Ham) and
spam mails.

The methods mainly are:
- Optical Character Recognition using different engines and settings
- Fuzzy word matching algorithm applied to OCR results
- Image hashing system to learn unique properties of known spam images
- Dimension, size and integrity checking of images
- Content-Type verification for the containing email

%description -l pl.UTF-8
FuzzyOcr to wtyczka SpamAssassina mająca wykrywać niezamówioną pocztę
masową (znaną także jako "spam") zawierającą obrazki jako główny
nośnik treści. Przy użyciu różnych metod analizuje zawartość i
właściwości obrazków w celu rozróżnienia między zwykłą pocztą ("ham")
a spamem.

Główne metody to:
- optyczne rozpoznawanie znaków (OCR) przy użyciu różnych silników i
  ustawień
- algorytm przybliżonego dopasowywania słów stosowany na wynikach OCR
- system haszowania obrazków w celu uczenia się unikalnych właściwości
  znanych obrazków ze spamem
- sprawdzanie wymiarów, rozmiaru i integralności obrazków
- weryfikacja Content-Type dla wiadomości z obrazkami

%prep
%setup -q -n FuzzyOcr-%{version}
%patch0 -p1
%patch1 -p1
%{__sed} -i -e '1s,#!.*perl,#!%{__perl},' Utils/fuzzy-*

for p in `cat debian/patches/series`; do
	patch -p1 < debian/patches/${p} || exit 1
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{perl_vendorlib},%{_sysconfdir},%{_bindir}}
cp -a FuzzyOcr.words FuzzyOcr.cf FuzzyOcr.scansets FuzzyOcr.preps $RPM_BUILD_ROOT%{_sysconfdir}
cp -a FuzzyOcr FuzzyOcr.pm $RPM_BUILD_ROOT%{perl_vendorlib}
install Utils/fuzzy-* $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc FuzzyOcr.mysql samples
%attr(755,root,root) %{_bindir}/fuzzy-cleantmp
%attr(755,root,root) %{_bindir}/fuzzy-find
%attr(755,root,root) %{_bindir}/fuzzy-stats
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/FuzzyOcr.cf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/FuzzyOcr.preps
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/FuzzyOcr.scansets
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/FuzzyOcr.words
%{perl_vendorlib}/FuzzyOcr.pm
%{perl_vendorlib}/FuzzyOcr

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: spamassassin-plugin-fuzzyocr.spec,v $
Revision 1.34  2010/04/07 13:47:39  blues
- rel.3 - more untainting with logfile

Revision 1.33  2010/04/07 10:28:25  blues
- rel.2: untaint patch added, picture scanning works with current perl
  again

Revision 1.32  2010/04/06 14:45:57  blues
- 3.6.0 - use tar provided by vendor

Revision 1.31  2009/12/16 08:48:54  amateja
- replaced obsolete R: perl-Compress-Zlib with perl-IO-Compress
- bumped release up

Revision 1.30  2009/05/19 18:07:00  arekm
- S: tesseract-lang-en

Revision 1.29  2009/05/19 18:01:10  arekm
- up to svn 135; use debian patches instead of our own

Revision 1.28  2008/12/13 20:28:41  gotar
- fixed cleanup

Revision 1.27  2008/02/11 16:51:18  glen
- df friendly

Revision 1.26  2008-02-11 13:43:05  glen
- macros cleanup

Revision 1.25  2008-02-10 19:38:37  wolvverine
- rel.1.%{_snap}.2

Revision 1.24  2008-02-09 21:00:47  qboosh
- unified License format

Revision 1.23  2007-09-09 14:57:27  gotar
- R: SA >= 3.2.3 due to get_description_for_rule

Revision 1.22  2007/07/30 15:37:25  blues
- back to suggests with version. For me it works fine with 0.5.1

Revision 1.21  2007/07/30 13:59:26  blues
- typo

Revision 1.20  2007/07/26 22:29:16  blues
- should work that way.

Revision 1.19  2007/07/26 06:21:04  dzeus
- propper poppler-progs suggests

Revision 1.18  2007/07/17 14:35:44  blues
- require pstopnm from separate package

Revision 1.17  2007/07/17 13:57:25  blues
- svn132 snapshot with pdf mangle support. Works nice

Revision 1.16  2007/02/12 22:09:15  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.14  2007/02/09 16:12:29  glen
- capitalize to avoid confusion with br language :)

Revision 1.13  2007/02/09 16:00:16  kosmo
- BR fixes

Revision 1.12  2007/01/14 23:13:25  qboosh
- pl

Revision 1.11  2007/01/12 11:18:14  glen
- autodeps bcond

Revision 1.10  2007/01/12 10:15:05  blues
- use auto-perl-deps

Revision 1.9  2007/01/12 08:32:09  blues
- perl-MLDBM-Sync required for database synchronization

Revision 1.8  2007/01/12 08:27:56  blues
- perl-DBI required by fuzzy-find

Revision 1.7  2007/01/12 08:17:01  blues
- fuzzy-stats requires perl-MLDBM

Revision 1.6  2007/01/09 15:26:47  glen
- unify license

Revision 1.5  2007/01/09 15:26:18  glen
- needs tesseract

Revision 1.4  2007/01/09 15:17:25  glen
- require netpbm with pamthreshold

Revision 1.3  2007/01/09 14:58:16  glen
- update to 3.5.1

Revision 1.2  2007/01/09 14:33:22  glen
- fix plugin load path

Revision 1.1  2007/01/09 14:00:32  glen
- new
